<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false" backupStaticAttributes="false" bootstrap="vendor/autoload.php" colors="true" convertErrorsToExceptions="true" convertNoticesToExceptions="true" convertWarningsToExceptions="true" processIsolation="false" stopOnFailure="false">
  <testsuites>
    <testsuite name="Feature">
      <directory suffix="Test.php">./tests/Feature</directory>
    </testsuite>
    <testsuite name="Unit">
      <directory suffix="Test.php">./tests/Unit</directory>
      <exclude>./tests/Unit/Terminals</exclude>
    </testsuite>
    <testsuite name="Terminals">
      <directory suffix="Test.php">./tests/Unit/Terminals</directory>
    </testsuite>
  </testsuites>
  <filter>
    <whitelist processUncoveredFilesFromWhitelist="true">
      <directory suffix=".php">./src</directory>
    </whitelist>
  </filter>
  <logging>
    <log type="coverage-html" target="./tmp/coverage/html" charset="UTF-8" highlight="true" lowUpperBound="60" highLowerBound="90"></log>
    <log type="coverage-clover" target="./tmp/coverage/clover.xml"></log>
  </logging>
  <php>

    <!-- Testing Datbase -->
    <env name="DB_CONNECTION" value="mysql_testing"/>
  </php>
</phpunit>
